Bug 149027 - epson usb scanner no longer found
epson usb scanner no longer found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 18:41 EST by John Ellson
Modified: 2008-10-20 20:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.18-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 15:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results of lspci -v for Soyo KT333 mainboard (5.72 KB, text/plain)
2006-03-14 08:26 EST, Gerry Tool
no flags Details
Output from "lspci -v" command with Intel D865PERL motherboard (4.68 KB, text/plain)
2006-03-14 09:52 EST, David Fletcher
no flags Details
Output from "lspci -v" command with DCM eV693A-A motherboard (2.38 KB, text/plain)
2006-03-14 10:04 EST, David Fletcher
no flags Details
lspci of sc430 (4.62 KB, text/plain)
2006-03-25 14:45 EST, Takaki Hiroshi
no flags Details
The patch that fixes the problem with Epson scanners (571 bytes, patch)
2007-06-15 04:00 EDT, Andrew Zabolotny
no flags Details | Diff

  None (edit)
Description John Ellson 2005-02-17 18:41:20 EST
Description of problem:
My scanner used to work in xsane-gimp but now its not found.
sane-find-scanner sees both of my usb scanners, but not bttv.
scanimage sees only bttv and not the usb scanners.

Version-Release number of selected component (if applicable):
sane-backends-1.0.15-8
kernel-2.6.10-1.1143_FC4
udev-050-5

How reproducible:
100%

Steps to Reproduce:
1. sane-find-scanner -q
2. scanimage -L
3.
  
Actual results:
ellson@ontap:~> sane-find-scanner -q
found USB scanner (vendor=0x04b8 [EPSON], product=0x010a
[Perfection1640]) at libusb:002:003
found USB scanner (vendor=0x03f0, product=0x2f11) at libusb:002:002
ellson@ontap:~> scanimage -L
device `v4l:/dev/video0' is a Noname BT848A video (Hauppauge (bt848)
virtual device
ellson@ontap:~>


Expected results:
Both programs should find all three scanners.

Additional info:
No mods to any file in /etc/sane.d/
$HOME/.sane removed before starting.
Comment 1 John Ellson 2005-02-17 20:16:00 EST
Bug# 121511 is probably related, except that this doesn't seem top be
a permissions problem.

Permissions are:
ls -l /proc/bus/usb/002/003
-rw-------  1 ellson root 0 Feb 17 19:01 /proc/bus/usb/002/003

BTW Why is hpoj inventing yet another scheme with even more obscure
user actions before the scanner is found.   /usr/sbin/ptal-init needs
to be integrated into the scanner setup mechanism.
Comment 2 Nadav Kavalerchik 2005-10-13 05:55:39 EDT
i have the same problem with a different scanner... 
umax (0x1606,0x0060) no longer found. 
scanner module is no longer part of the kernel modules !!! as of version 2.6.5+ ? 
why ? 
 
sane-find-scanner: 
found USB scanner (vendor=0x1606 [UMAX], product=0x0060 [USB SCANNER], 
chip=LM9832/3) at libusb:002:004 
 
scanimage -L 
No scanners were identified. 
Comment 3 Per Nystrom 2005-10-22 19:58:17 EDT
I'm having a similar problem with an Epson RX620:

[root@spike ~]# sane-find-scanner -q
found USB scanner (vendor=0x04b8 [EPSON], product=0x0811 [USB2.0 MFP(Hi-Speed)])
at libusb:001:004

[root@spike ~]# scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).


This seems to fix it, but it's a poor workaround:

[root@spike ~]# rmmod usblp usb-storage
[root@spike ~]# scanimage -L
device `epkowa:libusb:001:004' is a Epson Stylus Photo RX620/RX630 flatbed scanner
Comment 4 David Fletcher 2006-02-26 13:49:48 EST
Me too!

My scanner is the Epson Perfection 2450 Photo.

xsane is not mentioned in the graphics menu like it is with FC3, but when I Run
Command xsane absolutely nothing happens. xsane shows nothing at all on the
screen. iscan won't work either but it does give a little error window to say
that it can't communicate.

I had the same problem with FC3 a few months back, when there was what seemed
like the final bunch of updates. If I recall correctly the updates included
libusb, and what I did then was:-

put xsane back to version 0.96-1, which is what I still use on this machine.
This gave in this configuration (I think) the error "Failed to start scanner:
Error during device I/O"

Then I removed libusb and everything that depended on it, and obtained from
somewhere a libusb-0.1.10a-1 which after rebuilding installed on my FC3 system.
The scanner has been operating ever since, however I still have the silly
problem that I have to start xsane, quit, then start it again. Second time it
takes much longer to get started but then it does work.

On this FC3 machine I removed everything from etc/sane.d except dll.conf,
dmc.conf, epkowa.conf and epson.conf, and edited dll.conf to remove all the
unwanted entries. Then played around with the usb settings in epkowa.conf and
epson.conf to get it working. I've just done the same with the FC5t3 machine and
it does no good at all.

So, my money is on something being wrong with the current libusb.
Comment 5 David Fletcher 2006-02-28 16:26:09 EST
I've been playing around with this some more and got nowhere with it, but I do
have some information to add.

The computer was updated tonight, then for starters I yum removed all the
scanner stuff, then yum installed just xsane.

sane-find-scanner works, and finds the scanner.

When I try to run xsane from run command in the menu, nothing happens.

But, when I run xsane from a terminal, I get "Segmentation fault"

Surely this is wrong?
Comment 6 Nils Philippsen 2006-03-01 04:57:29 EST
David, can you install xsane-debuginfo and sane-backends-debuginfo and generate
a backtrace?
Comment 7 David Fletcher 2006-03-03 16:19:27 EST
Nils,

I've installed these two packages but I don't know what to do with them. Google
reveals nothing to me. Does a log file get generated somewhere?

I also directly contacted Oliver Rauch. He suggested deleting ~/.sane/xsane then
trying again. I've now got xsane starting up and apparently finding the scanner
but I'm back to the "Failed to start scanner: Error during device I/O" message
from xsane.

I also have iscan installed again at this time, and I've set both epkowa.conf
and epson.conf to have the line
usb 0x04b8 0x0112

Oliver Rauch also suggested doing
export SANE_DEBUG_DLL=128
xsane

It waits a good while at Initialising backend 'epson'
whilst xsane says 'scanning for devices'

then gives the error at one of the
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
lines.

The full text of export SANE_DEBUG_DLL=128 follows. Hope it is of some use!

[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=46)
[dll] sane_get_option_descriptor(handle=0x9910508,option=47)
[dll] sane_get_option_descriptor(handle=0x9910508,option=48)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80d900,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80c6c8,i
nfo=(nil))
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=4)
[dll] sane_get_option_descriptor(handle=0x9910508,option=5)
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=1)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_control_option(handle=0x9910508,option=2,action=0,value=0x99e9658,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_control_option(handle=0x9910508,option=3,action=0,value=0xbf80d618,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=4)
[dll] sane_get_option_descriptor(handle=0x9910508,option=5)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll] sane_control_option(handle=0x9910508,option=6,action=0,value=0xbf80d618,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll] sane_control_option(handle=0x9910508,option=7,action=0,value=0xbf80d618,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_control_option(handle=0x9910508,option=8,action=0,value=0x99d86f0,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_control_option(handle=0x9910508,option=9,action=0,value=0x99f3e50,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=11)
[dll] sane_get_option_descriptor(handle=0x9910508,option=12)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll] sane_control_option(handle=0x9910508,option=13,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll] sane_control_option(handle=0x9910508,option=14,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=15)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll] sane_control_option(handle=0x9910508,option=16,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=17)
[dll] sane_get_option_descriptor(handle=0x9910508,option=18)
[dll] sane_get_option_descriptor(handle=0x9910508,option=19)
[dll] sane_get_option_descriptor(handle=0x9910508,option=20)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll] sane_control_option(handle=0x9910508,option=21,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=22)
[dll] sane_get_option_descriptor(handle=0x9910508,option=23)
[dll] sane_get_option_descriptor(handle=0x9910508,option=24)
[dll] sane_get_option_descriptor(handle=0x9910508,option=25)
[dll] sane_get_option_descriptor(handle=0x9910508,option=26)
[dll] sane_get_option_descriptor(handle=0x9910508,option=27)
[dll] sane_get_option_descriptor(handle=0x9910508,option=28)
[dll] sane_get_option_descriptor(handle=0x9910508,option=29)
[dll] sane_get_option_descriptor(handle=0x9910508,option=30)
[dll] sane_get_option_descriptor(handle=0x9910508,option=31)
[dll] sane_get_option_descriptor(handle=0x9910508,option=32)
[dll] sane_get_option_descriptor(handle=0x9910508,option=33)
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll] sane_control_option(handle=0x9910508,option=34,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=35)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80d618,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_control_option(handle=0x9910508,option=40,action=0,value=0x99f0e00,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=41)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_control_option(handle=0x9910508,option=42,action=0,value=0x99f0e00,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=43)
[dll] sane_get_option_descriptor(handle=0x9910508,option=44)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_control_option(handle=0x9910508,option=45,action=0,value=0x99ef928,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=46)
[dll] sane_get_option_descriptor(handle=0x9910508,option=47)
[dll] sane_get_option_descriptor(handle=0x9910508,option=48)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_control_option(handle=0x9910508,option=42,action=0,value=0x99ceee8,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_control_option(handle=0x9910508,option=2,action=0,value=0x99ae000,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80d348,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80c6a8,i
nfo=(nil))
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80da08,i
nfo=(nil))
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=1)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_control_option(handle=0x9910508,option=2,action=0,value=0x99c5c40,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_control_option(handle=0x9910508,option=3,action=0,value=0xbf80e958,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=4)
[dll] sane_get_option_descriptor(handle=0x9910508,option=5)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll] sane_control_option(handle=0x9910508,option=6,action=0,value=0xbf80e958,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll] sane_control_option(handle=0x9910508,option=7,action=0,value=0xbf80e958,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_control_option(handle=0x9910508,option=8,action=0,value=0x9a26e68,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_control_option(handle=0x9910508,option=9,action=0,value=0x99e8e00,inf
o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=11)
[dll] sane_get_option_descriptor(handle=0x9910508,option=12)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll] sane_control_option(handle=0x9910508,option=13,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll] sane_control_option(handle=0x9910508,option=14,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=15)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll] sane_control_option(handle=0x9910508,option=16,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=17)
[dll] sane_get_option_descriptor(handle=0x9910508,option=18)
[dll] sane_get_option_descriptor(handle=0x9910508,option=19)
[dll] sane_get_option_descriptor(handle=0x9910508,option=20)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll] sane_control_option(handle=0x9910508,option=21,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=22)
[dll] sane_get_option_descriptor(handle=0x9910508,option=23)
[dll] sane_get_option_descriptor(handle=0x9910508,option=24)
[dll] sane_get_option_descriptor(handle=0x9910508,option=25)
[dll] sane_get_option_descriptor(handle=0x9910508,option=26)
[dll] sane_get_option_descriptor(handle=0x9910508,option=27)
[dll] sane_get_option_descriptor(handle=0x9910508,option=28)
[dll] sane_get_option_descriptor(handle=0x9910508,option=29)
[dll] sane_get_option_descriptor(handle=0x9910508,option=30)
[dll] sane_get_option_descriptor(handle=0x9910508,option=31)
[dll] sane_get_option_descriptor(handle=0x9910508,option=32)
[dll] sane_get_option_descriptor(handle=0x9910508,option=33)
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll] sane_control_option(handle=0x9910508,option=34,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=35)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80e958,i
nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_control_option(handle=0x9910508,option=40,action=0,value=0x99c6998,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=41)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_control_option(handle=0x9910508,option=42,action=0,value=0x99c6998,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=43)
[dll] sane_get_option_descriptor(handle=0x9910508,option=44)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_control_option(handle=0x9910508,option=45,action=0,value=0x998d990,in
fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=46)
[dll] sane_get_option_descriptor(handle=0x9910508,option=47)
[dll] sane_get_option_descriptor(handle=0x9910508,option=48)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_control_option(handle=0x9910508,option=42,action=0,value=0x99ab548,in
                                              fo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_control_option(handle=0x9910508,option=2,action=0,value=0x99cecb8,inf
                                              o=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80e688,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80d9e8,i
                                              nfo=(nil))
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_control_option(handle=0x9910508,option=10,action=1,value=0xbf80eb7c,i
                                              nfo=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll]
sane_control_option(handle=0x9910508,option=10,action=0,value=0x99f7e80,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll]
sane_control_option(handle=0x9910508,option=2,action=0,value=0x99f7ec0,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0x99f7e9c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0x99f7ea0,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0x99f7ea4,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0x99f7ea8,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll]
sane_control_option(handle=0x9910508,option=3,action=0,value=0x99f7eb8,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll]
sane_control_option(handle=0x9910508,option=10,action=1,value=0xbf80ee5c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=1,value=0xbf80ee5c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=1,value=0xbf80ee5c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=1,value=0xbf80ee5c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=1,value=0xbf80ee5c,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=33,action=1,value=0xbf80ee60,info=(nil))
[dll] sane_start(handle=0x9910508)
[dll] sane_cancel(handle=0x9910508)
[dll]
sane_control_option(handle=0x9910508,option=10,action=1,value=0x99f7e80,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=36,action=1,value=0x99f7e9c,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=37,action=1,value=0x99f7ea0,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=38,action=1,value=0x99f7ea4,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=39,action=1,value=0x99f7ea8,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=2,action=1,value=0x99f7ec0,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=3,action=1,value=0x99f7eb8,info=(nil))
[dll]
sane_control_option(handle=0x9910508,option=33,action=1,value=0xbf80eca0,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80ec98,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80ec98,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80ec98,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80ec98,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80dc18,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80dc18,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80dc18,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80dc18,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=1,value=0xbf80dbdc,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=1,value=0xbf80dbdc,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=1,value=0xbf80dbdc,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=1,value=0xbf80dbdc,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80db88,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80db88,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80db88,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=1,value=0xbf80d6b8,info=0xbf80d574)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80d6b4,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80db88,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=1,value=0xbf80d6b8,info=0xbf80d574)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80d6b4,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80ca48,info=(nil))
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_parameters(handle=0x9910508,params=0x80e1ab0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=0)
[dll]
sane_control_option(handle=0x9910508,option=0,action=0,value=0xbf80d628,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=0)
[dll] sane_get_option_descriptor(handle=0x9910508,option=1)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll] sane_get_option_descriptor(handle=0x9910508,option=2)
[dll]
sane_control_option(handle=0x9910508,option=2,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll] sane_get_option_descriptor(handle=0x9910508,option=3)
[dll]
sane_control_option(handle=0x9910508,option=3,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=4)
[dll] sane_get_option_descriptor(handle=0x9910508,option=5)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll] sane_get_option_descriptor(handle=0x9910508,option=6)
[dll]
sane_control_option(handle=0x9910508,option=6,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll] sane_get_option_descriptor(handle=0x9910508,option=7)
[dll]
sane_control_option(handle=0x9910508,option=7,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll] sane_get_option_descriptor(handle=0x9910508,option=8)
[dll]
sane_control_option(handle=0x9910508,option=8,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll] sane_get_option_descriptor(handle=0x9910508,option=9)
[dll]
sane_control_option(handle=0x9910508,option=9,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll] sane_get_option_descriptor(handle=0x9910508,option=10)
[dll]
sane_control_option(handle=0x9910508,option=10,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=11)
[dll] sane_get_option_descriptor(handle=0x9910508,option=12)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll] sane_get_option_descriptor(handle=0x9910508,option=13)
[dll]
sane_control_option(handle=0x9910508,option=13,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll] sane_get_option_descriptor(handle=0x9910508,option=14)
[dll]
sane_control_option(handle=0x9910508,option=14,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=15)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll] sane_get_option_descriptor(handle=0x9910508,option=16)
[dll]
sane_control_option(handle=0x9910508,option=16,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=17)
[dll] sane_get_option_descriptor(handle=0x9910508,option=18)
[dll] sane_get_option_descriptor(handle=0x9910508,option=19)
[dll] sane_get_option_descriptor(handle=0x9910508,option=20)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll] sane_get_option_descriptor(handle=0x9910508,option=21)
[dll]
sane_control_option(handle=0x9910508,option=21,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=22)
[dll] sane_get_option_descriptor(handle=0x9910508,option=23)
[dll] sane_get_option_descriptor(handle=0x9910508,option=24)
[dll] sane_get_option_descriptor(handle=0x9910508,option=25)
[dll] sane_get_option_descriptor(handle=0x9910508,option=26)
[dll] sane_get_option_descriptor(handle=0x9910508,option=27)
[dll] sane_get_option_descriptor(handle=0x9910508,option=28)
[dll] sane_get_option_descriptor(handle=0x9910508,option=29)
[dll] sane_get_option_descriptor(handle=0x9910508,option=30)
[dll] sane_get_option_descriptor(handle=0x9910508,option=31)
[dll] sane_get_option_descriptor(handle=0x9910508,option=32)
[dll] sane_get_option_descriptor(handle=0x9910508,option=33)
[dll] sane_get_option_descriptor(handle=0x9910508,option=33)
[dll]
sane_control_option(handle=0x9910508,option=33,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll] sane_get_option_descriptor(handle=0x9910508,option=34)
[dll]
sane_control_option(handle=0x9910508,option=34,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=35)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll] sane_get_option_descriptor(handle=0x9910508,option=36)
[dll]
sane_control_option(handle=0x9910508,option=36,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll] sane_get_option_descriptor(handle=0x9910508,option=37)
[dll]
sane_control_option(handle=0x9910508,option=37,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll] sane_get_option_descriptor(handle=0x9910508,option=38)
[dll]
sane_control_option(handle=0x9910508,option=38,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll] sane_get_option_descriptor(handle=0x9910508,option=39)
[dll]
sane_control_option(handle=0x9910508,option=39,action=0,value=0xbf80d62c,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll] sane_get_option_descriptor(handle=0x9910508,option=40)
[dll]
sane_control_option(handle=0x9910508,option=40,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=41)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll] sane_get_option_descriptor(handle=0x9910508,option=42)
[dll]
sane_control_option(handle=0x9910508,option=42,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=43)
[dll] sane_get_option_descriptor(handle=0x9910508,option=44)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll] sane_get_option_descriptor(handle=0x9910508,option=45)
[dll]
sane_control_option(handle=0x9910508,option=45,action=0,value=0x9aa4000,info=(nil))
[dll] sane_get_option_descriptor(handle=0x9910508,option=46)
[dll] sane_get_option_descriptor(handle=0x9910508,option=47)
[dll] sane_get_option_descriptor(handle=0x9910508,option=48)
[dll] sane_close(handle=0x9910508)
[dll] sane_exit: exiting
[dll] sane_exit: calling backend `v4l's exit function
[dll] sane_exit: calling backend `umax1220u's exit function
[dll] sane_exit: calling backend `umax's exit function
[dll] sane_exit: calling backend `u12's exit function
[dll] sane_exit: calling backend `teco3's exit function
[dll] sane_exit: calling backend `teco2's exit function
[dll] sane_exit: calling backend `teco1's exit function
[dll] sane_exit: calling backend `tamarack's exit function
[dll] sane_exit: calling backend `sp15c's exit function
[dll] sane_exit: calling backend `snapscan's exit function
[dll] sane_exit: calling backend `sm3840's exit function
[dll] sane_exit: calling backend `sm3600's exit function
[dll] sane_exit: calling backend `sharp's exit function
[dll] sane_exit: calling backend `sceptre's exit function
[dll] sane_exit: calling backend `s9036's exit function
[dll] sane_exit: calling backend `ricoh's exit function
[dll] sane_exit: calling backend `qcam's exit function
[dll] sane_exit: calling backend `plustek's exit function
[dll] sane_exit: calling backend `pie's exit function
[dll] sane_exit: calling backend `niash's exit function
[dll] sane_exit: calling backend `nec's exit function
[dll] sane_exit: calling backend `mustek_usb2's exit function
[dll] sane_exit: calling backend `mustek_usb's exit function
[dll] sane_exit: calling backend `mustek's exit function
[dll] sane_exit: calling backend `microtek2's exit function
[dll] sane_exit: calling backend `microtek's exit function
[dll] sane_exit: calling backend `matsushita's exit function
[dll] sane_exit: calling backend `ma1509's exit function
[dll] sane_exit: calling backend `lexmark's exit function
[dll] sane_exit: calling backend `leo's exit function
[dll] sane_exit: calling backend `ibm's exit function
[dll] sane_exit: calling backend `hp5400's exit function
[dll] sane_exit: calling backend `hp4200's exit function
[dll] sane_exit: calling backend `hpsj5s's exit function
[dll] sane_exit: calling backend `hp's exit function
[dll] sane_exit: calling backend `gt68xx's exit function
[dll] sane_exit: calling backend `genesys's exit function
[dll] sane_exit: calling backend `fujitsu's exit function
[dll] sane_exit: calling backend `epson's exit function
[dll] sane_exit: calling backend `dmc's exit function
[dll] sane_exit: calling backend `coolscan2's exit function
[dll] sane_exit: calling backend `coolscan's exit function
[dll] sane_exit: calling backend `canon630u's exit function
[dll] sane_exit: calling backend `canon's exit function
[dll] sane_exit: calling backend `bh's exit function
[dll] sane_exit: calling backend `artec_eplus48u's exit function
[dll] sane_exit: calling backend `artec's exit function
[dll] sane_exit: calling backend `avision's exit function
[dll] sane_exit: calling backend `apple's exit function
[dll] sane_exit: calling backend `agfafocus's exit function
[dll] sane_exit: calling backend `abaton's exit function
[dll] sane_exit: calling backend `net's exit function
[dll] sane_exit: finished
[dave@james ~]$
Comment 8 Takaki Hiroshi 2006-03-06 17:20:22 EST
I have 2450 too, and no ploblem except bug 183063. How about 'xsane epson'?
'xsane epkowa' not works fine for me.

If it's still not works for you, you shuld better check the permission of
/dev/bus/usb/00?/00?.

My environments:
kernel-2.6.15-1.2009.4.2_FC5
udev-084-11
sane-backends-1.0.17-4
xsane-0.99-2.2
libusb-0.1.11-2.2
iscan-2.0.0-0.c2
Comment 9 David Fletcher 2006-03-07 02:47:38 EST
Takaki,

That's very interesting.

I'm in contact with the maintainer of the Epson sane driver. I'm going to try to
generate a diagnostics log for him this evening.

Meanwhile, could you tell us please what motherboard you've got, and are you
running your scanner with USB sockets integrated onto the motherboard or with
USB sockets on an expansion card?


Comment 10 Takaki Hiroshi 2006-03-07 15:04:51 EST
I have the following motherboards:

1. GIGA-BYTE GA-586ATX
2. Abit VH6-II
3. RIOWORKS TDVIA
4. Dell PowerEdge SC430 (I don't know what's M/B used)

xsane works fine on every one of these. I use scanner with USB sockets
integrated onto the motherboards in all cases.
Comment 11 David Fletcher 2006-03-10 18:16:39 EST
I've now got the same result as Takaki.

I wiped my old PC last night, installed and updated FC5t3. This machine has one
of the early USB motherboards, which has two USB 1.1 sockets fitted, and it also
has a Celeron 633. So it's very slow compared to my 3GHz P4, but it works.

And it's been running my scanner all evening, no problem, scanning 6x6cm
transparency film.

So I conclude that there must be a bug in a driver for the USB system on my
Intel motherboard.
Comment 12 Nils Philippsen 2006-03-14 04:39:52 EST
Everyone, can you please attach the output of "lspci -v" run as root for all
your mobos along with info whether that problem showed up or not. This hopefully
helps in determining whether the issue is tied to a specific combination of
hardware or not. Thanks.
Comment 13 Gerry Tool 2006-03-14 08:26:57 EST
Created attachment 126098 [details]
results of lspci -v for Soyo KT333 mainboard

Attaching requested output for my Soyo KT333 Dragon Ultra-Platinum mobo.  I had
a scanner problem (bug #182210) but my Epson Perfection 4490 PHOTO scanner now
works with FC5T3 after taking some steps prescribed by Takaki to set up a
/etc/udev/rules.d/60-libsane.epkowa.rules file. (See bug #182210).
Comment 14 David Fletcher 2006-03-14 09:52:51 EST
Created attachment 126103 [details]
Output from "lspci -v" command with Intel D865PERL motherboard

USB connected Epson Perfection 2450 Photo does not work with this motherboard.
Comment 15 David Fletcher 2006-03-14 10:04:32 EST
Created attachment 126104 [details]
Output from "lspci -v" command with DCM eV693A-A motherboard

USB connected Epson Perfection 2450 Photo works with this motherboard.

Note that this is quite an old motherboard.
Comment 16 David Fletcher 2006-03-24 11:33:08 EST
I don't want to appear to be impatient at all with somebody who is most probably
giving their time for free to solve this, but, I'd just like to know if anybody
is working on this bug?
Comment 17 Takaki Hiroshi 2006-03-24 13:46:51 EST
I would suggest arrangement of this issue to you.

1. Which version did you use? ( udev, sane-backend, ...)
2. Which driver did you use sane-backend or iscan? ( iscan is no good, because
it's not part of fedora )
3. How did you install your system. How did you modify your system from normal.
4. How to way of reproduce. ( Did you login by nomal user or root user? )

You may feel It's unnecessary information, because this bug was occurred by usb
driver. But if I was tester I want to know such information first.

This bug is too long to read all. It will perhaps became more clear if you open
new bug.

TIA
Comment 18 David Fletcher 2006-03-24 18:00:31 EST
From comment 17:-

1. I assume it's sane-backend.

2. iscan is not installed.

3. Just a normal install from the FC5 distribution CDs and update. System
modified by commenting out everything from /etc/sane.d/dll.conf except the epson
line.

4. Makes no difference whether root or normal user. xsane finds the scanner but
errors when commanded to do a preview. This is on the same Intel D865PERL
motherboard machine, but it's now installed with the final FC5 release.

I might, if I'm feeling brave sometime, wipe this machine (currently running
FC3) and try FC5 final on it. This one has the same Intel D865PERL motherboard,
but it also has a Belkin USB expansion board. The Belkin board shows up with
lspci -v as having NEC chips.

Because I have long suspected a USB driver of causing this problem not the Epson
driver (the scanner works with one machine but not another one running the same
OS) it might I think stand a better chance of working with a USB chip from a
different manufacturer. What do you think? Comments most welcome.
Comment 19 David Fletcher 2006-03-25 13:52:15 EST
Partial success.

I have risked, and lost, GBP14-99 on a USB card which has a VIA chip rather than
the Intel chips on the motherboard. Installed the USB card, plugged in, it still
won't work.

Had another think. Fiddled with the BIOS. If I alter the USB settings in the
BIOS  of the D865PERL so that high speed USB is not supported (the BIOS suggests
setting this if you don't have a USB 2.0 driver) then I can scan, as a normal
user, so long as the scanner is plugged into one of the motherboard USB sockets
and is switched on before logging in. If I plug into the Via chipped USB board
it still won't work.

So, I guess I can scan, so long as it's only slowly.
Comment 20 Takaki Hiroshi 2006-03-25 14:45:42 EST
Created attachment 126740 [details]
lspci of sc430

I could reproduce this bug with usb2.0 system. My sc430 failed preview too. I'm
sorry, I only had tested to execute of xsane, not preview.
Comment 21 David Fletcher 2006-03-26 04:23:12 EST
I've found some interesting new information about my problem and started a new bug.

See bug number 186766
Comment 22 Nils Philippsen 2006-05-18 04:23:45 EDT
Guys,

it seems that the problems you see fall roughly into three categories:

1. "sane-find-scanner -q" finds different scanners than "scanimage -L" (John, Per)
2. in-kernel supported models moved over to using libusb problems (Nadav)
3. problems on certain hardware with USB 2.0 (drivers?) (David, Takaki)

There are other bug reports which indicate that there are some SELinux related
issues as well (libraries with textreloc).

Let me thank Takaki at this place for quite some work he's put into this and
other bug reports.

I plan to work on this issue in the next time, if I seem silent for too long,
nudge me gently ;-). I will surely need assistance with all USB related reports
as I don't possess USB scanning hardware, all my stuff is SCSI, back from the
days where everything was nice and simple and easy to debug ;-).
Comment 23 Gregoire Barbier 2007-01-04 08:37:35 EST
Same for me: I've got a USB scanner (Epson CX5400) that worked fine with my FC4
and does not work since I upgraded to FC6. Detected by sane-find-scanner but not
by scanimage (neither by gimp). Even workarounds like "rmmod usblp usb-storage"
does not work for me.

Fedora Core 6 x86_64
sane-backends-1.0.18-5.fc6
sane-frontends-1.0.14-1.2.2
(that is: the last availlable packages with yum update)

[root@panoramix ~]# sane-find-scanner -q
found USB scanner (vendor=0x04b8 [EPSON], product=0x0808 [USB MFP]) at
libusb:001:004
[root@panoramix ~]# scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[root@panoramix ~]#
[root@panoramix ~]# export SANE_DEBUG_EPSON=255
[root@panoramix ~]# scanimage -L
[sanei_debug] Setting debug level of epson to 255.
[epson] sane_init: sane-backends 1.0.18
[epson] sane_init, ># epson.conf<
[epson] sane_init, >#<
[epson] sane_init, ># here are some examples for how to configure the EPSON backend<
[epson] sane_init, >#<
[epson] sane_init, ># SCSI scanner:<
[epson] sane_init, >scsi EPSON<
[epson] sane_init, ># for the GT-6500:<
[epson] sane_init, >scsi "EPSON SC"<
[epson] sane_init, >#<
[epson] sane_init, ># Parallel port scanner:<
[epson] sane_init, >#pio 0x278<
[epson] sane_init, >#pio 0x378<
[epson] sane_init, >#pio 0x3BC<
[epson] sane_init, >#<
[epson] sane_init, ># USB scanner:<
[epson] sane_init, ># There are two different methods of configuring a USB
scanner: libusb and the kernel module<
[epson] sane_init, ># For any system with libusb support (which is pretty much
any recent Linux distribution) the<
[epson] sane_init, ># following line is sufficient. This however assumes that
the connected scanner (or to be more<
[epson] sane_init, ># accurate, it's device ID) is known to the backend.<
[epson] sane_init, >usb<
[epson] attach_one_usb()
[epson] SANE Epson Backend v0.2.46 - 2006-06-11
[epson] attach(, 3)
[epson] attach: opening
[epson] attach_one_usb(libusb:001:004)
[epson] SANE Epson Backend v0.2.46 - 2006-06-11
[epson] attach(libusb:001:004, 3)
[epson] attach: opening libusb:001:004
[epson] Found valid EPSON scanner: 0x4b8/0x808 (vendorID/productID)
[epson] reset()
[epson] send buf, size = 2
[epson] buf[0] 1b .
[epson] buf[1] 40 @
[epson] w_cmd_count = 1
[epson] r_cmd_count = 0
[epson] w_cmd_count = 1
[epson] r_cmd_count = 1
[epson] receive buf, expected = 1, got = 1
[epson] buf[0] 06 .
[epson] get_identity_information()
[epson] send buf, size = 2
[epson] buf[0] 1b .
[epson] buf[1] 49 I
[epson] w_cmd_count = 2
[epson] r_cmd_count = 1
[epson] w_cmd_count = 2
[epson] r_cmd_count = 2
[epson] receive buf, expected = 4, got = 4
[epson] buf[0] 02 .
[epson] buf[1] 00 .
[epson] buf[2] 13 .
[epson] buf[3] 00 .
[epson] code   02
[epson] status 00
[epson] count  19
[epson] w_cmd_count = 2
[epson] r_cmd_count = 3
[epson] receive buf, expected = 19, got = 19
[epson] buf[0] 44 D
[epson] buf[1] 31 1
[epson] buf[2] 52 R
[epson] buf[3] 64 d
[epson] buf[4] 00 .
[epson] buf[5] 52 R
[epson] buf[6] 2c ,
[epson] buf[7] 01 .
[epson] buf[8] 52 R
[epson] buf[9] 58 X
[epson] buf[10] 02 .
[epson] buf[11] 52 R
[epson] buf[12] b0 .
[epson] buf[13] 04 .
[epson] buf[14] 41 A
[epson] buf[15] d8 .
[epson] buf[16] 27 '
[epson] buf[17] d8 .
[epson] buf[18] 36 6
[epson] type    D 0x44
[epson] level   1 0x31
[epson] no option equipment installed
[epson] resolution (dpi): 100
[epson] resolution (dpi): 300
[epson] resolution (dpi): 600
[epson] resolution (dpi): 1200
[epson] maximum scan area: x 10200 y 14040
[epson] send buf, size = 2
[epson] buf[0] 1b .
[epson] buf[1] 66 f
[epson] w_cmd_count = 3
[epson] r_cmd_count = 3
[epson] w_cmd_count = 3
[epson] r_cmd_count = 4
[epson] receive buf, expected = 4, got = 4
[epson] buf[0] 02 .
[epson] buf[1] 00 .
[epson] buf[2] 2a *
[epson] buf[3] 00 .
[epson] code   02
[epson] status 00
[epson] count  42
[epson] w_cmd_count = 3
[epson] r_cmd_count = 5
[epson] receive buf, expected = 42, got = 42
[epson] buf[0] 01 .
[epson] buf[1] 00 .
[epson] buf[2] 00 .
[epson] buf[3] 00 .
[epson] buf[4] 00 .
[epson] buf[5] 00 .
[epson] buf[6] 00 .
[epson] buf[7] 00 .
[epson] buf[8] 00 .
[epson] buf[9] 00 .
[epson] buf[10] 00 .
[epson] buf[11] c0 .
[epson] buf[12] d8 .
[epson] buf[13] 27 '
[epson] buf[14] d8 .
[epson] buf[15] 36 6
[epson] buf[16] 00 .
[epson] buf[17] 00 .
[epson] buf[18] 00 .
[epson] buf[19] 00 .
[epson] buf[20] 00 .
[epson] buf[21] 00 .
[epson] buf[22] 00 .
[epson] buf[23] 00 .
[epson] buf[24] 00 .
[epson] buf[25] 00 .
[epson] buf[26] 43 C
[epson] buf[27] 58 X
[epson] buf[28] 35 5
[epson] buf[29] 34 4
[epson] buf[30] 30 0
[epson] buf[31] 30 0
[epson] buf[32] 20
[epson] buf[33] 20
[epson] buf[34] 20
[epson] buf[35] 20
[epson] buf[36] 20
[epson] buf[37] 20
[epson] buf[38] 20
[epson] buf[39] 20
[epson] buf[40] 20
[epson] buf[41] 20
[epson] product name 43 58 35 34 30 30 20 20
[epson] fbf tlx 0.000000 tly 0.000000 brx 215.899994 bry 297.179993 [mm]
[epson] get_identity2_information()
[epson] send buf, size = 2
[epson] buf[0] 1b .
[epson] buf[1] 69 i
[epson] w_cmd_count = 4
[epson] r_cmd_count = 5
[epson] w_cmd_count = 4
[epson] r_cmd_count = 6
[epson] receive buf, expected = 4, got = 4
[epson] buf[0] 02 .
[epson] buf[1] 00 .
[epson] buf[2] 58 X
[epson] buf[3] 00 .
[epson] w_cmd_count = 4
[epson] r_cmd_count = 8
[epson] receive buf, expected = 88, got = 88
[epson] buf[0] b0 .
[epson] buf[1] 04 .
[epson] buf[2] d5 .
[epson] buf[3] 00 .
[epson] buf[4] 00 .
[epson] buf[5] 00 .
[epson] buf[6] 00 .
[epson] buf[7] 00 .
[epson] buf[8] 00 .
[epson] buf[9] 00 .
[epson] buf[10] 00 .
[epson] buf[11] 00 .
[epson] buf[12] 00 .
[epson] buf[13] 00 .
[epson] buf[14] 32 2
[epson] buf[15] 00 .
[epson] buf[16] 48 H
[epson] buf[17] 00 .
[epson] buf[18] 4b K
[epson] buf[19] 00 .
[epson] buf[20] 60 `
[epson] buf[21] 00 .
[epson] buf[22] 64 d
[epson] buf[23] 00 .
[epson] buf[24] 96 .
[epson] buf[25] 00 .
[epson] buf[26] c8 .
[epson] buf[27] 00 .
[epson] buf[28] f0 .
[epson] buf[29] 00 .
[epson] buf[30] 0a .
[epson] buf[31] 01 .
[epson] buf[32] 2c ,
[epson] buf[33] 01 .
[epson] buf[34] 5e ^
[epson] buf[35] 01 .
[epson] buf[36] 68 h
[epson] buf[37] 01 .
[epson] buf[38] 90 .
[epson] buf[39] 01 .
[epson] buf[40] 58 X
[epson] buf[41] 02 .
[epson] buf[42] d0 .
[epson] buf[43] 02 .
[epson] buf[44] 20
[epson] buf[45] 03 .
[epson] buf[46] b0 .
[epson] buf[47] 04 .
[epson] buf[48] 00 .
[epson] buf[49] 00 .
[epson] buf[50] 32 2
[epson] buf[51] 00 .
[epson] buf[52] 48 H
[epson] buf[53] 00 .
[epson] buf[54] 4b K
[epson] buf[55] 00 .
[epson] buf[56] 60 `
[epson] buf[57] 00 .
[epson] buf[58] 64 d
[epson] buf[59] 00 .
[epson] buf[60] 96 .
[epson] buf[61] 00 .
[epson] buf[62] c8 .
[epson] buf[63] 00 .
[epson] buf[64] f0 .
[epson] buf[65] 00 .
[epson] buf[66] 0a .
[epson] buf[67] 01 .
[epson] buf[68] 2c ,
[epson] buf[69] 01 .
[epson] buf[70] 5e ^
[epson] buf[71] 01 .
[epson] buf[72] 68 h
[epson] buf[73] 01 .
[epson] buf[74] 90 .
[epson] buf[75] 01 .
[epson] buf[76] 58 X
[epson] buf[77] 02 .
[epson] buf[78] d0 .
[epson] buf[79] 02 .
[epson] buf[80] 20
[epson] buf[81] 03 .
[epson] buf[82] b0 .
[epson] buf[83] 04 .
[epson] buf[84] 60 `
[epson] buf[85] 09 .
[epson] buf[86] 00 .
[epson] buf[87] 00 .
[epson] close_scanner(fd = 0)
[epson] w_cmd_count = 4
[epson] r_cmd_count = 8
[epson] w_cmd_count = 4
[epson] r_cmd_count = 8
[epson] sane_init, ># For libusb support for unknown scanners use the following
command<
[epson] sane_init, ># usb <product ID> <device ID><
[epson] sane_init, ># e.g.:<
[epson] sane_init, ># usb 0x4b8 0x110<
[epson] sane_init, ># And for the scanner module, use the following configuration:<
[epson] sane_init, >#usb /dev/usbscanner0<
[epson] sane_init, >#usb /dev/usb/scanner0<
[epson] sane_get_devices()

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[root@panoramix ~]#

Comment 24 Gerry Tool 2007-01-04 09:26:26 EST
Have you installed the Epson Kowa driver?  See
http://www.epson.com/cgi-bin/Store/support/supDetail.jsp?BV_UseBVCookie=yes&infoType=News&oid=25301&prodoid=36478881&noteoid=38581
or google for 'epson cx5400 scanner driver linux'
Comment 25 Gregoire Barbier 2007-01-14 17:17:54 EST
@24

I didn't try it since epkowa is only availlable as 32 bits and thus I should
install sane in 32 bits, maybe I'll try it if this bug isn't corrected.

Before I updated from FC4 to FC6 it worked perfectly with epson driver and I
cannot manage to understand what, excepted a bug or a configuration mistake, can
make it no longer work.

Thanks
Comment 26 Nils Philippsen 2007-06-13 04:25:24 EDT
Gregoire, your problem seems to be bug #226954 which is known to upstream as
well (with no fix so far as it seems).

All, I know I've been silent for too long, but it'd still be good if you'd tell
me if there have been any improvements with Fedora 7 packages.
Comment 27 Gregoire Barbier 2007-06-13 17:46:22 EDT
Thanks for the link to the good bug report.
I'll try the new packages but not until a few days (weeks?) since I'm not sure I
want to upgrade to FC7 and I've bought another scanner that is correctly supported.
Comment 28 Andrew Zabolotny 2007-06-15 03:58:25 EDT
Tried Fedora 7, Epson scanners are still broken.

My scanner is a Epson Perfection Photo 2450.

It's broken since a very, very long time (minimum since fc3). When you try to
scan for the first time, xsane quickly finds the scanner but any attempt to scan
locks up the program. In Fedora 7 it's better since it breaks out after ~10
seconds of waiting with a message "I/O error" or something like that. After that
the sane-find-scanner still can find the device:

[2|zap@zap|~]sane-find-scanner
...
found USB scanner (vendor=0x04b8 [EPSON], product=0x0112 [EPSON Scanner]) at
libusb:007:005
...

but any attempt to use the scanner causes very long timeouts:

[2|zap@zap|~]scanimage -L
... about 2 minutes passed...
device `epson:libusb:007:005' is a Epson GT-9700 flatbed scanner

I'm rebuilding the sane-backends with every upgrade everytime. Here's a old
message on the sane mailing list with a recipe that fixes the problem:
http://lists.alioth.debian.org/pipermail/sane-devel/2004-June/011256.html

I'm attaching the patch file since the message above doesn't contain one.

Alas, this patch will touch all USB scanners, so I'm not sure if it's safe to be
included in the mainstream. The SANE team should be aware of this problem, but
they're doing nothing with it for about three years...

Also it is possible that bug #158049 is also a duplicate of this one.
Comment 29 Andrew Zabolotny 2007-06-15 04:00:16 EDT
Created attachment 157069 [details]
The patch that fixes the problem with Epson scanners

...but unfortunately this patch touches all USB scanners
Comment 30 David Fletcher 2007-06-15 04:51:13 EDT
Scanner bugs are flaring up all over the place - especially with the Epson
Perfection 2450 it seems.

I'm not going to waste space repeating here everything I wrote on the
opposition's bug report system just last night, so could subscribers to this bug
report please take a look here:-

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/34551

and try out my suggestions?

The group permissions stuff probably isn't relevant to Fedora unless F7
incorporates it. I don't know, I haven't tried it yet. But the interface cable
certainly is. Please try out my suggestion and I think it will work. I think
there is absolutely nothing wrong with the SANE backend or XSANE.

I am of the personal opinion that there is most likely something wrong with the
USB2.0 implementation in the scanner itself. Further, I think that to go
screwing with the USB or other software just to fix it for a few users of this
now obsolete device when there is already a perfectly good working solution is
risky and a complete waste of software developers very valuable time.
Comment 31 Nils Philippsen 2007-06-15 09:13:07 EDT
Well, there may be a problem with the scanner's USB implementation, but there
might also be a problem in the new USB2.0 code. Be that as it may, the patch
Andrew posted in comment #29 is just too short to not try it out. Even if there
is a problem in the hardware, if we can work around it in software so much the
better. I've conferred with our libusb maintainer and he told me that the
usb_reset() call should be safe to do at that point.

I'll build a testing package that contains that patch and I ask everyone around
to test it with their USB scanners, i.e. also those that work up to now. If I
see that it makes a (positive) difference for those people with problems and
furthermore see that other hardware doesn't regress, I'll push it to final,
otherwise retract it.

Sounds sensible?
Comment 32 Fedora Update System 2007-06-16 09:21:18 EDT
sane-backends-1.0.18-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2007-07-05 15:17:17 EDT
sane-backends-1.0.18-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Michael Fischer 2008-10-20 20:55:19 EDT
The same problem ("Failed to start scanner: Error during device I/O" message
from xsane) reappeared in sane-backends-1.0.19-10.fc9.  I rebuilt the rpm with the patch and it fixed the problem -- the scanner works again.

Note You need to log in before you can comment on or make changes to this bug.